Anypoint LDAP Connector Demo
==================================


INTRODUCTION
------------
The connector demo consists of the following projects:

* ldap-add-delete-entry - Provides sample flows on how to execute operations like add entry and delete entry.

HOW TO RUN DEMO
---------------

### Prerequisites
In order to build and run this project, you'll need;

* Anypoint Studio with Mule ESB 3.7.x EE Runtime.
* Anypoint LDAP Connector v2.0.0 or higher.
* Any LDAP instance credentials.

### Test the flows

With Anypoint Studio up and running, open the Import wizard from the File menu. A pop-up wizard will offer you the chance to pick Anypoint Studio Project from External Location. On the next wizard window point Project Root to the location of the demo project and select the Server Runtime as Mule Server 3.7.0 EE. Once successfully imported the studio will automatically present the Anypoint Flows.

From the Package Explorer view, expand the demo project and open the mule-app.properties file. Fill in the credentials of LDAP instance.

> As we have add the below extended configuration to bypass SSL in the demo project, we have to use **ldaps://&lt;hostname:port&gt;** as the url protocol in credentials file.

```xml
<ldap:extended-configuration>
      <ldap:extended-configuration key="java.naming.ldap.factory.socket">org.mule.module.ldap.security.BypassTrustSSLSocketFactory</ldap:extended-configuration>
</ldap:extended-configuration>```


#### ldap-add-delete-entry :

* Run the demo project.
* In web browser visit http://localhost:8081 to view the demo page. The page displays the flow along with respective variables required to invoke the operations defined in the flow.

SUMMARY
-------

Congratulations! The demo presents only a limited list of operations to play with, refer to the connector API docs for all the operations supported and further possibilities.
